Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros
version.h File Reference
`#include "ruby/version.h"`
`#include "revision.h"`
Include dependency graph for version.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RUBY_VERSION "2.0.0"
#define | RUBY_RELEASE_DATE "2013-11-22"
#define | RUBY_PATCHLEVEL 353
#define | RUBY_RELEASE_YEAR 2013
#define | RUBY_RELEASE_MONTH 11
#define | RUBY_RELEASE_DAY 22
#define | RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)
#define | RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)
#define | RUBY_DESCRIPTION
#define | RUBY_COPYRIGHT

## Macro Definition Documentation

#define RUBY_COPYRIGHT

Value:
"ruby - Copyright (C) " \
STRINGIZE(RUBY_BIRTH_YEAR)"-" \
STRINGIZE(RUBY_RELEASE_YEAR)" " \
RUBY_AUTHOR
RUBY_AUTHOR
#define RUBY_AUTHOR
Definition: version.h:27
RUBY_RELEASE_YEAR
#define RUBY_RELEASE_YEAR
Definition: version.h:5
STRINGIZE
#define STRINGIZE(expr)
Definition: ripper.y:169
RUBY_BIRTH_YEAR
#define RUBY_BIRTH_YEAR
Definition: version.h:28

Definition at line 48 of file version.h.

#define RUBY_DESCRIPTION

Value:
"ruby "RUBY_VERSION \
RUBY_PATCHLEVEL_STR \
" ("RUBY_RELEASE_DATE \
RUBY_REVISION_STR") " \
"["RUBY_PLATFORM"]"
RUBY_REVISION_STR
#define RUBY_REVISION_STR
Definition: version.h:36
RUBY_PATCHLEVEL_STR
#define RUBY_PATCHLEVEL_STR
Definition: version.h:22
RUBY_PLATFORM
#define RUBY_PLATFORM
Definition: defines.h:237

Definition at line 42 of file version.h.

#define RUBY_PATCHLEVEL 353

Definition at line 3 of file version.h.

Referenced by Init_version().

#define RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)

Definition at line 22 of file version.h.

#define RUBY_RELEASE_DATE "2013-11-22"

Definition at line 2 of file version.h.

#define RUBY_RELEASE_DAY 22

Definition at line 7 of file version.h.

#define RUBY_RELEASE_MONTH 11

Definition at line 6 of file version.h.

#define RUBY_RELEASE_YEAR 2013

Definition at line 5 of file version.h.

#define RUBY_REVISION_STR " revision "STRINGIZE(RUBY_REVISION)

Definition at line 36 of file version.h.

#define RUBY_VERSION "2.0.0"

Definition at line 1 of file version.h.